<mat-drawer-container [hasBackdrop]="true">

  <mat-drawer mode="over" [(opened)]=visibility.drawerOpen >
    <app-route-overview></app-route-overview>
  </mat-drawer>

  <mat-drawer-content >
    <div id="mainContainer" >

      <div class="sideContainer" *ngIf="visibility.visibilityOfLeftMap" >
        <app-map
            [title] ="translate.instant('LeftMapTitle')"
            [id]="mapIds.leftMap"
            [zoom]="position.positionLeftMap.zoom"
            [center]="position.positionLeftMap.center"
            [routes]="routeDataService.getPublicRoutes()"
            [layers]="mapService.mapLeftLayers"
            [layersControl]="mapService.mapLeftLayersControl"
            ></app-map>
        <app-metric-viewer
            [data]="routeDataService.publicRoutesSubject.getValue()">
        </app-metric-viewer>
      </div>

      <div class="centerContainer" *ngIf="visibility.visibilityOfCenter" >
        <app-central-information></app-central-information>
      </div>

    <div class="sideContainer" *ngIf="visibility.visibilityOfRightMap" > 
      <app-map
          [title] ="translate.instant('RightMapTitle')"
          [id]="mapIds.rightMap"
          [zoom]="position.positionRightMap.zoom"
          [center]="position.positionRightMap.center"
          [routes]="routeDataService.getPrivateRoutes()"
          [layers]="mapService.mapRightLayers"
          [layersControl]="mapService.mapRightLayersControl"
          ></app-map>
      <app-metric-viewer
          [data]="routeDataService.privateRoutesSubject.getValue()">
      </app-metric-viewer>
    </div>
    </div>
  </mat-drawer-content>

</mat-drawer-container>

<app-private-routes-footer></app-private-routes-footer>
